path: /build/build/kompare-kde-apps-5-23.08.2.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="handbook" emerge kde-apps/kompare:5 -pv -t && \
    USE="handbook" emerge -j ${JOBS} --nodeps kde-apps/kompare:5
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/kompare && luet-portage --dir /pkgdir/kompare
    kde-apps/kompare:5 && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:3b1b0611618e8e0569ba85ffb28912b7a2febc57431be15506d0569320cf8d4f
  package:
    name: kompare
    version: 23.08.2
    category: kde-apps-5
    use_flags:
    - handbook
    requires:
    - name: libkomparediff2
      version: '>=0'
      category: kde-apps-5
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: A program to view the differences between files
    uri:
    - https://apps.kde.org/en/kompare
    license: GPL-2
    buildtimestamp: 2024-02-18 09:38:17.566322991 +0000 UTC m=+145.270535814
    labels:
      BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
        handbook? ( >=kde-frameworks/kdoctools-5.98.0:5 )
      DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtprintsupport-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
        >=kde-apps/libkomparediff2-23.08.2:5 >=kde-frameworks/kcompletion-5.98.0:5
        >=kde-frameworks/kcodecs-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kiconthemes-5.98.0:5
        >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5
        >=kde-frameworks/kservice-5.98.0:5 >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5
        >=kde-frameworks/kxmlgui-5.98.0:5 dev-util/desktop-file-utils x11-misc/shared-mime-info
        >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
      IUSE: debug +handbook
      RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtprintsupport-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
        >=kde-apps/libkomparediff2-23.08.2:5 >=kde-frameworks/kcompletion-5.98.0:5
        >=kde-frameworks/kcodecs-5.98.0:5 >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5
        >=kde-frameworks/kcoreaddons-5.98.0:5 >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kiconthemes-5.98.0:5
        >=kde-frameworks/kio-5.98.0:5 >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5
        >=kde-frameworks/kservice-5.98.0:5 >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5
        >=kde-frameworks/kxmlgui-5.98.0:5 >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
        kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5'
      emerge.packages: kde-apps/kompare:5
      kit: kde-kit
      original.package.name: kde-apps/kompare
      original.package.slot: "5"
      original.package.version: 23.08.2
    treedir: /build/packages
  package_dir: /pkgdir/kompare
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: c4a1767bab43ae1e7d2ad1447d6d6b8b49089c88c0ba651e571145fa82a025e6
compressiontype: zstd
files:
- usr/bin/kompare
- usr/include/kompare/kompareinterface.h
- usr/lib64/libkomparedialogpages.so.5
- usr/lib64/libkompareinterface.so
- usr/lib64/libkompareinterface.so.5
- usr/lib64/qt5/plugins/kf5/parts/komparenavtreepart.so
- usr/lib64/qt5/plugins/kf5/parts/komparepart.so
- usr/share/applications/org.kde.kompare.desktop
- usr/share/doc/kompare-23.08.2/AUTHORS
- usr/share/doc/kompare-23.08.2/ChangeLog.bz2
- usr/share/doc/kompare-23.08.2/README.bz2
- usr/share/doc/kompare-23.08.2/TODO.bz2
- usr/share/help/ca/kompare/index.cache.bz2
- usr/share/help/ca/kompare/index.docbook
- usr/share/help/de/kompare/index.cache.bz2
- usr/share/help/de/kompare/index.docbook
- usr/share/help/en/kompare/dock.png
- usr/share/help/en/kompare/index.cache.bz2
- usr/share/help/en/kompare/index.docbook
- usr/share/help/en/kompare/settings-diff1.png
- usr/share/help/en/kompare/settings-diff2.png
- usr/share/help/en/kompare/settings-diff3.png
- usr/share/help/en/kompare/settings-diff4.png
- usr/share/help/en/kompare/settings-view1.png
- usr/share/help/en/kompare/settings-view2.png
- usr/share/help/en/kompare/undock.png
- usr/share/help/es/kompare/index.cache.bz2
- usr/share/help/es/kompare/index.docbook
- usr/share/help/et/kompare/index.cache.bz2
- usr/share/help/et/kompare/index.docbook
- usr/share/help/it/kompare/index.cache.bz2
- usr/share/help/it/kompare/index.docbook
- usr/share/help/it/kompare/settings-diff1.png
- usr/share/help/it/kompare/settings-diff2.png
- usr/share/help/it/kompare/settings-diff3.png
- usr/share/help/it/kompare/settings-diff4.png
- usr/share/help/it/kompare/settings-view1.png
- usr/share/help/it/kompare/settings-view2.png
- usr/share/help/nl/kompare/index.cache.bz2
- usr/share/help/nl/kompare/index.docbook
- usr/share/help/pt/kompare/index.cache.bz2
- usr/share/help/pt/kompare/index.docbook
- usr/share/help/pt_BR/kompare/index.cache.bz2
- usr/share/help/pt_BR/kompare/index.docbook
- usr/share/help/ru/kompare/index.cache.bz2
- usr/share/help/ru/kompare/index.docbook
- usr/share/help/sv/kompare/index.cache.bz2
- usr/share/help/sv/kompare/index.docbook
- usr/share/help/sv/kompare/settings-diff1.png
- usr/share/help/sv/kompare/settings-diff2.png
- usr/share/help/sv/kompare/settings-diff3.png
- usr/share/help/sv/kompare/settings-diff4.png
- usr/share/help/sv/kompare/settings-view1.png
- usr/share/help/sv/kompare/settings-view2.png
- usr/share/help/uk/kompare/index.cache.bz2
- usr/share/help/uk/kompare/index.docbook
- usr/share/help/uk/kompare/settings-diff1.png
- usr/share/help/uk/kompare/settings-diff2.png
- usr/share/help/uk/kompare/settings-diff3.png
- usr/share/help/uk/kompare/settings-diff4.png
- usr/share/help/uk/kompare/settings-view1.png
- usr/share/help/uk/kompare/settings-view2.png
- usr/share/icons/hicolor/128x128/apps/kompare.png
- usr/share/icons/hicolor/16x16/apps/kompare.png
- usr/share/icons/hicolor/22x22/apps/kompare.png
- usr/share/icons/hicolor/32x32/apps/kompare.png
- usr/share/icons/hicolor/48x48/apps/kompare.png
- usr/share/icons/hicolor/scalable/apps/kompare.svgz
- usr/share/kio/servicemenus/kompare.desktop
- usr/share/locale/af/LC_MESSAGES/kompare.mo
- usr/share/locale/ar/LC_MESSAGES/kompare.mo
- usr/share/locale/be/LC_MESSAGES/kompare.mo
- usr/share/locale/bg/LC_MESSAGES/kompare.mo
- usr/share/locale/br/LC_MESSAGES/kompare.mo
- usr/share/locale/bs/LC_MESSAGES/kompare.mo
- usr/share/locale/ca/LC_MESSAGES/kompare.mo
- usr/share/locale/ca@valencia/LC_MESSAGES/kompare.mo
- usr/share/locale/cs/LC_MESSAGES/kompare.mo
- usr/share/locale/cy/LC_MESSAGES/kompare.mo
- usr/share/locale/da/LC_MESSAGES/kompare.mo
- usr/share/locale/de/LC_MESSAGES/kompare.mo
- usr/share/locale/el/LC_MESSAGES/kompare.mo
- usr/share/locale/en_GB/LC_MESSAGES/kompare.mo
- usr/share/locale/eo/LC_MESSAGES/kompare.mo
- usr/share/locale/es/LC_MESSAGES/kompare.mo
- usr/share/locale/et/LC_MESSAGES/kompare.mo
- usr/share/locale/eu/LC_MESSAGES/kompare.mo
- usr/share/locale/fa/LC_MESSAGES/kompare.mo
- usr/share/locale/fi/LC_MESSAGES/kompare.mo
- usr/share/locale/fr/LC_MESSAGES/kompare.mo
- usr/share/locale/ga/LC_MESSAGES/kompare.mo
- usr/share/locale/gl/LC_MESSAGES/kompare.mo
- usr/share/locale/hi/LC_MESSAGES/kompare.mo
- usr/share/locale/hne/LC_MESSAGES/kompare.mo
- usr/share/locale/hr/LC_MESSAGES/kompare.mo
- usr/share/locale/hu/LC_MESSAGES/kompare.mo
- usr/share/locale/is/LC_MESSAGES/kompare.mo
- usr/share/locale/it/LC_MESSAGES/kompare.mo
- usr/share/locale/ja/LC_MESSAGES/kompare.mo
- usr/share/locale/ka/LC_MESSAGES/kompare.mo
- usr/share/locale/kk/LC_MESSAGES/kompare.mo
- usr/share/locale/km/LC_MESSAGES/kompare.mo
- usr/share/locale/ko/LC_MESSAGES/kompare.mo
- usr/share/locale/lt/LC_MESSAGES/kompare.mo
- usr/share/locale/lv/LC_MESSAGES/kompare.mo
- usr/share/locale/mai/LC_MESSAGES/kompare.mo
- usr/share/locale/mk/LC_MESSAGES/kompare.mo
- usr/share/locale/mr/LC_MESSAGES/kompare.mo
- usr/share/locale/ms/LC_MESSAGES/kompare.mo
- usr/share/locale/nb/LC_MESSAGES/kompare.mo
- usr/share/locale/nds/LC_MESSAGES/kompare.mo
- usr/share/locale/ne/LC_MESSAGES/kompare.mo
- usr/share/locale/nl/LC_MESSAGES/kompare.mo
- usr/share/locale/nn/LC_MESSAGES/kompare.mo
- usr/share/locale/oc/LC_MESSAGES/kompare.mo
- usr/share/locale/pa/LC_MESSAGES/kompare.mo
- usr/share/locale/pl/LC_MESSAGES/kompare.mo
- usr/share/locale/pt/LC_MESSAGES/kompare.mo
- usr/share/locale/pt_BR/LC_MESSAGES/kompare.mo
- usr/share/locale/ro/LC_MESSAGES/kompare.mo
- usr/share/locale/ru/LC_MESSAGES/kompare.mo
- usr/share/locale/se/LC_MESSAGES/kompare.mo
- usr/share/locale/sk/LC_MESSAGES/kompare.mo
- usr/share/locale/sl/LC_MESSAGES/kompare.mo
- usr/share/locale/sq/LC_MESSAGES/kompare.mo
- usr/share/locale/sr/LC_MESSAGES/kompare.mo
- usr/share/locale/sr@ijekavian/LC_MESSAGES/kompare.mo
- usr/share/locale/sr@ijekavianlatin/LC_MESSAGES/kompare.mo
- usr/share/locale/sr@latin/LC_MESSAGES/kompare.mo
- usr/share/locale/sv/LC_MESSAGES/kompare.mo
- usr/share/locale/ta/LC_MESSAGES/kompare.mo
- usr/share/locale/tg/LC_MESSAGES/kompare.mo
- usr/share/locale/tr/LC_MESSAGES/kompare.mo
- usr/share/locale/ug/LC_MESSAGES/kompare.mo
- usr/share/locale/uk/LC_MESSAGES/kompare.mo
- usr/share/locale/xh/LC_MESSAGES/kompare.mo
- usr/share/locale/zh_CN/LC_MESSAGES/kompare.mo
- usr/share/locale/zh_TW/LC_MESSAGES/kompare.mo
- usr/share/metainfo/org.kde.kompare.appdata.xml
- usr/share/qlogging-categories5/kompare.categories
- var/db/pkg/kde-apps/kompare-23.08.2/BDEPEND
- var/db/pkg/kde-apps/kompare-23.08.2/BUILD_TIME
- var/db/pkg/kde-apps/kompare-23.08.2/CATEGORY
- var/db/pkg/kde-apps/kompare-23.08.2/CBUILD
- var/db/pkg/kde-apps/kompare-23.08.2/CFLAGS
- var/db/pkg/kde-apps/kompare-23.08.2/CHOST
- var/db/pkg/kde-apps/kompare-23.08.2/CONTENTS
- var/db/pkg/kde-apps/kompare-23.08.2/COUNTER
- var/db/pkg/kde-apps/kompare-23.08.2/CXXFLAGS
- var/db/pkg/kde-apps/kompare-23.08.2/DEFINED_PHASES
- var/db/pkg/kde-apps/kompare-23.08.2/DEPEND
- var/db/pkg/kde-apps/kompare-23.08.2/DESCRIPTION
- var/db/pkg/kde-apps/kompare-23.08.2/EAPI
- var/db/pkg/kde-apps/kompare-23.08.2/FEATURES
- var/db/pkg/kde-apps/kompare-23.08.2/HOMEPAGE
- var/db/pkg/kde-apps/kompare-23.08.2/INHERITED
- var/db/pkg/kde-apps/kompare-23.08.2/IUSE
- var/db/pkg/kde-apps/kompare-23.08.2/IUSE_EFFECTIVE
- var/db/pkg/kde-apps/kompare-23.08.2/KEYWORDS
- var/db/pkg/kde-apps/kompare-23.08.2/LDFLAGS
- var/db/pkg/kde-apps/kompare-23.08.2/LICENSE
- var/db/pkg/kde-apps/kompare-23.08.2/NEEDED
- var/db/pkg/kde-apps/kompare-23.08.2/PF
- var/db/pkg/kde-apps/kompare-23.08.2/PROVIDES
- var/db/pkg/kde-apps/kompare-23.08.2/RDEPEND
- var/db/pkg/kde-apps/kompare-23.08.2/REQUIRES
- var/db/pkg/kde-apps/kompare-23.08.2/SIZE
- var/db/pkg/kde-apps/kompare-23.08.2/SLOT
- var/db/pkg/kde-apps/kompare-23.08.2/USE
- var/db/pkg/kde-apps/kompare-23.08.2/environment.bz2
- var/db/pkg/kde-apps/kompare-23.08.2/kompare-23.08.2.ebuild
- var/db/pkg/kde-apps/kompare-23.08.2/repository
package_cacheimage: ""
runtime:
  name: kompare
  version: 23.08.2
  category: kde-apps-5
  use_flags:
  - handbook
  requires:
  - name: libkomparediff2
    version: '>=0'
    category: kde-apps-5
  - name: kcompletion
    version: '>=0'
    category: kde-frameworks-5
  - name: kservice
    version: '>=0'
    category: kde-frameworks-5
  - name: ktexteditor
    version: '>=0'
    category: kde-frameworks-5
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: A program to view the differences between files
  uri:
  - https://apps.kde.org/en/kompare
  license: GPL-2
  labels:
    BDEPEND: dev-util/ninja >=dev-util/cmake-3.9.6 >=kde-frameworks/extra-cmake-modules-5.98.0:5
      handbook? ( >=kde-frameworks/kdoctools-5.98.0:5 )
    DEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtprintsupport-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
      >=kde-apps/libkomparediff2-23.08.2:5 >=kde-frameworks/kcompletion-5.98.0:5 >=kde-frameworks/kcodecs-5.98.0:5
      >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kiconthemes-5.98.0:5 >=kde-frameworks/kio-5.98.0:5
      >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5 >=kde-frameworks/kservice-5.98.0:5
      >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5
      >=kde-frameworks/kxmlgui-5.98.0:5 dev-util/desktop-file-utils x11-misc/shared-mime-info
      >=dev-qt/qtcore-5.15.1:5 dev-util/desktop-file-utils'
    IUSE: debug +handbook
    RDEPEND: '>=dev-qt/qtgui-5.15.1:5 >=dev-qt/qtprintsupport-5.15.1:5 >=dev-qt/qtwidgets-5.15.1:5
      >=kde-apps/libkomparediff2-23.08.2:5 >=kde-frameworks/kcompletion-5.98.0:5 >=kde-frameworks/kcodecs-5.98.0:5
      >=kde-frameworks/kconfig-5.98.0:5 >=kde-frameworks/kconfigwidgets-5.98.0:5 >=kde-frameworks/kcoreaddons-5.98.0:5
      >=kde-frameworks/ki18n-5.98.0:5 >=kde-frameworks/kiconthemes-5.98.0:5 >=kde-frameworks/kio-5.98.0:5
      >=kde-frameworks/kjobwidgets-5.98.0:5 >=kde-frameworks/kparts-5.98.0:5 >=kde-frameworks/kservice-5.98.0:5
      >=kde-frameworks/ktexteditor-5.98.0:5 >=kde-frameworks/kwidgetsaddons-5.98.0:5
      >=kde-frameworks/kxmlgui-5.98.0:5 >=kde-frameworks/kf-env-4 || ( >=kde-frameworks/breeze-icons-5.98.0:5
      kde-frameworks/oxygen-icons:* ) >=dev-qt/qtcore-5.15.1:5'
    emerge.packages: kde-apps/kompare:5
    kit: kde-kit
    original.package.name: kde-apps/kompare
    original.package.slot: "5"
    original.package.version: 23.08.2
